import { vui } from '../core'
import Button from './button'
import { ButtonProps, IconButtonProps } from './button.types'

export const AppButton = vui<'button', ButtonProps>((props, ref) => (
  <Button ref={ref} variant="primaryDark" {...props} />
))

export const BackButton = vui<'button', IconButtonProps>((props, ref) => (
  <IconButton icon="falArrowLeft" ref={ref} variant="tertiaryDark" {...props} />
))

export const CloseButton = vui<'button', IconButtonProps>((props, ref) => (
  <IconButton icon="falTimes" ref={ref} variant="tertiaryDark" {...props} />
))

export const CTAButton = vui<'button', ButtonProps>((props, ref) => (
  <Button ref={ref} variant="solidGreen" {...props} />
))

export const DangerButton = vui<'button', ButtonProps>((props, ref) => (
  <Button ref={ref} variant="solidRed" {...props} />
))

export const IconButton = vui<'button', IconButtonProps>((props, ref) => (
  <Button ref={ref} variant="tertiaryDark" {...props} />
))

export const LineButton = vui<'button', ButtonProps>((props, ref) => (
  <Button ref={ref} variant="secondaryDark" {...props} />
))

export const TextButton = vui<'button', ButtonProps>((props, ref) => (
  <Button ref={ref} variant="tertiaryDark" {...props} />
))
